import request from '@/utils/request'

// 查询社会保险费欠费情况列表
export function listSecurity(query) {
  return request({
    url: '/basicData/xcrSocialSecurity/findByPage',
    method: 'get',
    params: query
  })
}

// 查询社会保险费欠费情况详细
export function getSecurity(id) {
  return request({
    url: '/basicData/xcrSocialSecurity/' + id,
    method: 'get'
  })
}

// 新增社会保险费欠费情况
export function addSecurity(data) {
  return request({
    url: '/basicData/xcrSocialSecurity',
    method: 'post',
    data: data
  })
}

// 修改社会保险费欠费情况
export function updateSecurity(data) {
  return request({
    url: '/basicData/xcrSocialSecurity',
    method: 'put',
    data: data
  })
}

// 删除社会保险费欠费情况
export function delSecurity(id) {
  return request({
    url: '/basicData/xcrSocialSecurity/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delSecurityBatch(ids) {
  return request.post('/basicData/xcrSocialSecurity/delete',ids)
}
